Package org.codehaus.groovy.control

# Class MultipleCompilationErrorsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
org.codehaus.groovy.control.CompilationFailedException
org.codehaus.groovy.control.MultipleCompilationErrorsException

All Implemented Interfaces:
  `java.io.Serializable`

    public class MultipleCompilationErrorsException
    extends CompilationFailedException

Represents multiple other exceptions

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected ErrorCollector` | `collector` |

  ### Fields inherited from class org.codehaus.groovy.control.CompilationFailedException

  `phase, unit`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MultipleCompilationErrorsException​(ErrorCollector ec)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ErrorCollector` | `getErrorCollector()` |
  `java.lang.String` | `getMessage()` |

  ### Methods inherited from class org.codehaus.groovy.control.CompilationFailedException

  `getUnit`

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### collector

    protected ErrorCollector collector

- ## Constructor Details

  - ### MultipleCompilationErrorsException

    public MultipleCompilationErrorsException​(ErrorCollector ec)

- ## Method Details

  - ### getErrorCollector

    public ErrorCollector getErrorCollector()

  - ### getMessage

    public java.lang.String getMessage()
    Overrides:
      `getMessage` in class `GroovyRuntimeException`